Update Product Metafield
Updates a Product Metafield.
Required Fields
- none
Read-Only Fields
- id
- These fields can only be modified using the API account that created the metafield:
namespacekeypermission_setvalue
Usage Notes
- Attempting to modify the
namespace,key,permission_set, orvaluefield using an API account different from the one used to create those metafields will result in a403error message.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
product_id
The ID of the Product to which the resource belongs.
metafield_id
The ID of the Metafield.
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
key
The name of the field, for example: location_id, color. Required for POST.
value
The value of the field, for example: 1, blue. You must enter a JSON formatted string for ShipperHQ metafields. Required for POST.
namespace
Namespace for the metafield, for organizational purposes. This is set by the developer. Required for POST.
permission_set
Determines the visibility and writeability of the field by other API consumers.
Allowed values:
description
Description for the metafields.
Response
OK
data
meta
Response metadata.
Errors
400
Bad Request Error
404
Not Found Error